|  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #52043 GD doesn't recognize latest libJPEG version (8b)
Submitted: 2010-06-11 03:16 UTC Modified: 2010-06-14 10:35 UTC
From: php at group dot apple dot com Assigned: pajoye
Status: Closed Package: GD related
PHP Version: 5.3.2 OS: all
Private report: No CVE-ID:
 [2010-06-11 03:16 UTC] php at group dot apple dot com
Building php-5.3.2 against libJPEGv8b (NOT 6b!) appears to be functional, but php 
reports the wrong version number. The patch below adds an additional cast to the 
switch statement.

Test script:
php -info | grep -i jpeg

Expected result:
libJPEG Version => 8b

Actual result:
libJPEG Version => unknown


gd_libjpegv8b.patch (last revision 2010-06-11 01:17 UTC) by php at group dot apple dot com)

Add a Patch

Pull Requests

Add a Pull Request


AllCommentsChangesGit/SVN commitsRelated reports
 [2010-06-12 23:30 UTC]
-Status: Open +Status: Assigned -Assigned To: +Assigned To: pajoye
 [2010-06-14 10:12 UTC]
Automatic comment from SVN on behalf of pajoye
Log: - #52043,GD doesn't recognize latest libJPEG version
 [2010-06-14 10:35 UTC]
-Status: Assigned +Status: Closed
 [2010-06-14 10:35 UTC]
Fixed in SVN, thanks for your feedback and patch!
 [2012-06-19 19:12 UTC] rodrigoaantunes at yahoo dot com dot br
When this patch will be added to ubuntu 12.04 repos? I'm getting this problem.
PHP Copyright © 2001-2015 The PHP Group
All rights reserved.
Last updated: Tue Oct 13 11:01:29 2015 UTC